Package org.apache.ignite.internal.cache.query.index.sorted

## Class DurableBackgroundCleanupIndexTreeTaskV2.NoopRowHandlerFactory

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.DurableBackgroundCleanupIndexTreeTaskV2.NoopRowHandlerFactory

All Implemented Interfaces:
  `InlineIndexRowHandlerFactory`

Enclosing class:
  DurableBackgroundCleanupIndexTreeTaskV2

    public static class DurableBackgroundCleanupIndexTreeTaskV2.NoopRowHandlerFactory
    extends Object
    implements InlineIndexRowHandlerFactory

A do-nothing `InlineIndexRowHandlerFactory` implementation.

### Constructor Summary

Constructors
`NoopRowHandlerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`InlineIndexRowHandler` `create​(SortedIndexDefinition sdef, IndexKeyTypeSettings keyTypeSettings)` Creates instance of row handler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoopRowHandlerFactory

    public NoopRowHandlerFactory()

### Method Detail

#### create

    public InlineIndexRowHandler create​(SortedIndexDefinition sdef,
                                        IndexKeyTypeSettings keyTypeSettings)

Creates instance of row handler.

Specified by:
  `create` in interface `InlineIndexRowHandlerFactory`
Parameters:
  `sdef` - Index definition.
  `keyTypeSettings` - Index key type settings.
Returns:
  Index row handler.